Subject: Re: QE in MPC8360MDS

From: Anton Vorontsov <[email-masked]>
Date: Fri, 31 Oct 2008 17:01:37 +0300

On Fri, Oct 31, 2008 at 09:47:18AM -0400, mike zheng wrote:
> Hi All,
> 
> Anyone know the difference of QE between MPC8360 and MPC8568?
> 
> I am using the QE code working for MPC8568 on a MPC8360MDS board.
> However there is no interrupt generated by UCC0. I set the QE working
> under loopback mode. The flag of TxBD got changed, but the UCCE
> remains the same value. Here is the logs and register value.

I recalling these differences:

QEIC to MPIC vs. IPIC cascading (may be the cause of interrupts
issues).
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=cccd21027c17c27ad275093c22475354b4495814

QE ParIO layout (you may have pins misconfigured):
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=321872dcc07f83f9b60af1be41c6bafbaddf9bf6

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2